#include <bits/stdc++.h>
using namespace std;
int n, m, k, i, j, a[1000010], t, d[200010];
bool b, c;
vector<int> v;
std::vector<int> solve(std::vector<int> A)
{
	int N=0;
	vector<int> V;
	N=A.size();
	for(i=1; i<=(n+1)/2-1; i++) V.push_back(i);
	V.push_back(n);
	for(i=(n+1)/2; i<n; i++) V.push_back(i);
	return V;
}